Recurring campaigns
GET https://66text.com/demo/api/recurring-campaigns/
curl --request GET \
--url 'https://66text.com/demo/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66text.com/demo/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: content. |
| segment | Optional String | Filter results by segment. |
| user_id | Optional Integer | Filter results by user ID. |
| datetime_field | Optional String | Allowed values: last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: recurring_campaign_id, name, content, last_run_datetime, next_run_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_campaigns. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
{
"data": [
{
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-22 11:03:12",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://66text.com/demo/api/recurring-campaigns?page=1",
"last": "https://66text.com/demo/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://66text.com/demo/api/recurring-campaigns?page=1"
}
}
GET https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"user_id": 1,
"name": "Example",
"content": "Sample message",
"settings": {
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_sms": 0,
"total_pending_sms": 0,
"total_failed_sms": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-22 11:03:12",
}
}
POST https://66text.com/demo/api/recurring-campaigns
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| content | Required String | - |
| device_id | Required Integer | - |
| sim_subscription_id | Required Integer | - |
| frequency | Optional String | Allowed values: daily, weekly, monthly |
| week_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7 Available when: frequency = weekly |
| month_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Available when: frequency = monthly |
| time | Optional String | HH:II |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://66text.com/demo/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://66text.com/demo/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| content | Optional String | - |
| device_id | Optional Integer | - |
| sim_subscription_id | Optional Integer | - |
| frequency | Optional String | Allowed values: daily, weekly, monthly |
| week_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7 Available when: frequency = weekly |
| month_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Available when: frequency = monthly |
| time | Optional String | HH:II |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66text.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \